| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Variables
LTC5556.cpp File Reference
RF, Silicon Oscillators, PLL Synthesizers, and VCOs » LTC5556: Dual Programmable Downconverting Mixer with IF DVGAs

Library for LTC5556: Dual Programmable Downconverting Mixer with IF DVGAs. More...

## Detailed Description

Library for LTC5556: Dual Programmable Downconverting Mixer with IF DVGAs.

Definition in file LTC5556.cpp.

Go to the source code of this file.

## Functions
void | LTC5556_write (uint8_t cs, uint16_t tx, uint16_t *rx)
| Writes to the LTC5556 twice and reads back the last byte to make sure the LTC5556 was loaded properly. More...
uint8_t | LTC5556_dupl_settings ()
| Function to duplicate settings for both LTC5556 channels. More...
uint16_t | LTC5556_diff_settings ()
| Function to apply unique settings for each LTC5556 channel. More...
uint8_t | LTC5556_get_power_mode (char *prompt)
| Function to get data from user for power mode. More...
uint8_t | LTC5556_get_att (char *prompt)
| Get attenuation value from user. More...
void | LTC5556_decode_output (uint8_t output_register)
| Decode the register value read from the LTC5556. More...

## Variables
uint8_t | mixer_1_value
| Global Variables. More...
uint8_t | mixer_2_value
uint16_t | register_value
uint16_t | full_output
uint8_t | mixer_1_output
uint8_t | mixer_2_output

## Function Documentation

## ◆ LTC5556_decode_output()

void LTC5556_decode_output | ( | uint8_t | output | ) |

Decode the register value read from the LTC5556.

Returns
  void

Parameters

  output_register | Raw output from the LTC5556 to decode

Definition at line 293 of file LTC5556.cpp.

## ◆ LTC5556_diff_settings()

uint16_t LTC5556_diff_settings | ( |  | ) |

Function to apply unique settings for each LTC5556 channel.

Returns
  Readback after writing different settings for each channel

Definition at line 136 of file LTC5556.cpp.

## ◆ LTC5556_dupl_settings()

uint8_t LTC5556_dupl_settings | ( |  | ) |

Function to duplicate settings for both LTC5556 channels.

Returns
  Readback after writing duplicate settings to both channels

Definition at line 97 of file LTC5556.cpp.

## ◆ LTC5556_get_att()

uint8_t LTC5556_get_att | ( | char * | prompt | ) |

Get attenuation value from user.

Returns
  uint8_t

Parameters

  prompt | Prompt to ask for the desired attenuation

Definition at line 240 of file LTC5556.cpp.

## ◆ LTC5556_get_power_mode()

uint8_t LTC5556_get_power_mode | ( | char * | prompt | ) |

Function to get data from user for power mode.

Returns
  uint8_t

Parameters

  prompt | Prompt to ask for the desired power mode

Definition at line 196 of file LTC5556.cpp.

## ◆ LTC5556_write()

void LTC5556_write | ( | uint8_t | cs,
|  | uint16_t | tx,
|  | uint16_t * | rx
| ) |  |

Writes to the LTC5556 twice and reads back the last byte to make sure the LTC5556 was loaded properly.

Returns
  void

Parameters

  tx | Chip Select pin
  rx | Word to be transmitted Output pointer

Definition at line 90 of file LTC5556.cpp.

## Variable Documentation

## ◆ full_output

uint16_t full_output

Definition at line 80 of file LTC5556.cpp.

## ◆ mixer_1_output

uint8_t mixer_1_output

Definition at line 83 of file LTC5556.cpp.

## ◆ mixer_1_value

uint8_t mixer_1_value

Global Variables.

Definition at line 71 of file LTC5556.cpp.

## ◆ mixer_2_output

uint8_t mixer_2_output

Definition at line 86 of file LTC5556.cpp.

## ◆ mixer_2_value

uint8_t mixer_2_value

Definition at line 74 of file LTC5556.cpp.

## ◆ register_value

uint16_t register_value

Definition at line 77 of file LTC5556.cpp.